WindowsOfficeClientSecurityConfiguration の作成
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい windowsOfficeClientSecurityConfiguration オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の大きいものから小さいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
POST /officeConfiguration/clientConfigurations
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、windowsOfficeClientSecurityConfiguration オブジェクトの JSON 表記を指定します。
次の表に 、windowsOfficeClientSecurityConfigurationを作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | Office クライアント構成ポリシーの ID。 officeClientConfiguration から継承 |
| userPreferencePayload | Stream | 基本設定 JSON 文字列をバイナリ形式で指定すると、これらの値はユーザーによって上書きされます。 officeClientConfiguration から継承 |
| policyPayload | Stream | バイナリ形式のポリシー設定 JSON 文字列は、ユーザーがこれらの値を変更できません。 officeClientConfiguration から継承 |
| description | String | 管理者は、Office クライアント構成ポリシーの説明を提供しました。 officeClientConfiguration から継承 |
| displayName | String | 管理者は、Office クライアント構成ポリシーの名前を指定しました。 officeClientConfiguration から継承 |
| assignments | officeClientConfigurationAssignment コレクション | ポリシーのグループ割り当ての一覧です。 officeClientConfiguration から継承 |
| priority | Int32 | 優先度の値は、テナントの下のポリシーごとに一意の値である必要があります。競合解決に使用されます。値が低い場合は優先度が高くなります。 officeClientConfiguration から継承 |
| lastModifiedDateTime | DateTime | ポリシーの最終変更日時スタンプ。 officeClientConfiguration から継承 |
| userCheckinSummary | officeUserCheckinSummary | ポリシーのユーザー チェックインの概要。 officeClientConfiguration から継承 |
| checkinStatuses | officeClientCheckinStatus コレクション | Office クライアント のチェックイン状態の一覧。 officeClientConfiguration から継承 |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の windowsOfficeClientSecurityConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/officeConfiguration/clientConfigurations
Content-type: application/json
Content-length: 1028
{
"@odata.type": "#microsoft.graph.windowsOfficeClientSecurityConfiguration",
"userPreferencePayload": "<Unknown Primitive Type Edm.Stream>",
"policyPayload": "<Unknown Primitive Type Edm.Stream>",
"description": "Description value",
"displayName": "Display Name value",
"priority": 8,
"userCheckinSummary": {
"@odata.type": "microsoft.graph.officeUserCheckinSummary",
"succeededUserCount": 2,
"failedUserCount": 15
},
"checkinStatuses": [
{
"@odata.type": "microsoft.graph.officeClientCheckinStatus",
"userPrincipalName": "User Principal Name value",
"deviceName": "Device Name value",
"devicePlatform": "Device Platform value",
"devicePlatformVersion": "Device Platform Version value",
"wasSuccessful": true,
"userId": "User Id value",
"checkinDateTime": "2016-12-31T23:56:33.9571764-08:00",
"errorMessage": "Error Message value",
"appliedPolicies": [
"Applied Policies value"
]
}
]
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1077
{
"@odata.type": "#microsoft.graph.windowsOfficeClientSecurityConfiguration",
"id": "f90ca1a5-a1a5-f90c-a5a1-0cf9a5a10cf9",
"userPreferencePayload": "<Unknown Primitive Type Edm.Stream>",
"policyPayload": "<Unknown Primitive Type Edm.Stream>",
"description": "Description value",
"displayName": "Display Name value",
"priority": 8,
"userCheckinSummary": {
"@odata.type": "microsoft.graph.officeUserCheckinSummary",
"succeededUserCount": 2,
"failedUserCount": 15
},
"checkinStatuses": [
{
"@odata.type": "microsoft.graph.officeClientCheckinStatus",
"userPrincipalName": "User Principal Name value",
"deviceName": "Device Name value",
"devicePlatform": "Device Platform value",
"devicePlatformVersion": "Device Platform Version value",
"wasSuccessful": true,
"userId": "User Id value",
"checkinDateTime": "2016-12-31T23:56:33.9571764-08:00",
"errorMessage": "Error Message value",
"appliedPolicies": [
"Applied Policies value"
]
}
]
}
フィードバック
フィードバックの送信と表示